package com.zjsgfa.project.zt.service;


import com.zjsgfa.framework.web.domain.AjaxResult;
import com.zjsgfa.project.zjsgfa.domain.SjDcfxDzfc;
import com.zjsgfa.project.zjsgfa.domain.SjLjfzqk;
import com.zjsgfa.project.zt.domain.*;
import com.zjsgfa.project.zt.domain.vo.JsgaVo;
import com.zjsgfa.project.zt.domain.vo.JswaVo;

import java.util.List;
import java.util.Map;

public interface DjdcService {
    List<DjDcInfo> getList(DjDcInfo info);


    List<Ljinfo> ljListByJh(Ljinfo info);


    List<Djjc> getDjjcList(CommonParam param);


    List<DjZqsjfx> getZqshfxList(CommonParam param) throws Exception;

    List<DjZjzhfx> getZjzhfxList(CommonParam param);

    AjaxResult getLjjwList(CommonParam param);


    List<Jsfa> getJsfaList(CommonParam param);


    List<Jsqa> getJsqaList(CommonParam param);

    List<DjZtfx> getDjZtfxList(CommonParam param);

    Map<String,Object> calZtzhdf(CommonParam param);

    List<LjZtzhdf> getzhzhdfList(CommonParam param);

    List<LjSzfxjg> getszfxjgList(CommonParam param);

    List<LjZtdfzh> getZtzhzzdfList(CommonParam param);


    int dyAiModelJxZjzh(CommonParam param);

    List<LjDzfc> getDzfcList(CommonParam param);


    List<LjSzfxjg> getSztfxjgList(List<DjZtfx> djZtfxList, List<Djjc> djjcList, CommonParam param);

    List<Jsha> getFdcsList(CommonParam param);

    List<SjDcfxDzfc> getDzfcList2(CommonParam param);

    List<DjZqsjfx> getKjsjList(CommonParam param);

    List<Zsjfx> getZsjList(CommonParam param);

    Djjc selectZtsj(Djjc djjc);

    List<LjGzbj> getGzbjList(CommonParam param);

    List<JsgaVo> getJsgaList(CommonParam param);


    List<Jskd> getJskdList(CommonParam param);

    /**
     * 获取方位相同的井号
     * @param param
     * @return
     */
    List<DjZqsjfx> getjskdList(CommonParam param);
    String jsljfzqk(CommonParam param);


    String jsjtwz(CommonParam param);

    String jsgtzjds(CommonParam param);

    List<LjSzfxjg> getszfxjgList2();

    List<Ljjw> getLjjwList2(CommonParam param);


    JswaVo getJswaSum(CommonParam param);

    List<Ljjw> getLjjwList3(CommonParam param);


    List<Djjc> getJhKcList(String ljjh);


    List<SjLjfzqk> getJsqaListByJh(CommonParam param);

}
